> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get a Contact by Reference Source and ID

GET https://api.virtuoussoftware.com/api/Contact/{referenceSource}/{referenceId}

Reference: https://virtuous.ferndocs.com/reference/crm-plus/contacts-and-individuals/get-a-contact-by-reference-source-and-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `referenceSource` (string, required)
- `referenceId` (string, required)

## Response

### 200

OK

- `isCurrentUserFollowing` (string, optional)
- `id` (string, optional)
- `contactType` (string, optional)
- `isPrivate` (string, optional)
- `name` (string, optional)
- `informalName` (string, optional)
- `description` (string, optional)
- `website` (string, optional)
- `maritalStatus` (string, optional)
- `anniversaryMonth` (string, optional)
- `anniversaryDay` (string, optional)
- `anniversaryYear` (string, optional)
- `mergedIntoContactId` (string, optional)
- `address` (ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaAddress, optional)
- `giftAskAmount` (string, optional)
- `giftAskType` (string, optional)
- `lifeToDateGiving` (string, optional)
- `yearToDateGiving` (string, optional)
- `lastGiftAmount` (string, optional)
- `lastGiftDate` (string, optional)
- `contactIndividuals` (list of ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactIndividualsItems, optional)
- `contactGiftsUrl` (string, optional)
- `contactPassthroughGiftsUrl` (string, optional)
- `contactPlannedGiftsUrl` (string, optional)
- `contactRecurringGiftsUrl` (string, optional)
- `contactImportantNotesUrl` (string, optional)
- `contactNotesUrl` (string, optional)
- `contactTagsUrl` (string, optional)
- `contactRelationshipsUrl` (string, optional)
- `primaryAvatarUrl` (string, optional)
- `contactReferences` (list of ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactReferencesItems, optional)
- `originSegmentId` (string, optional)
- `originSegment` (string, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `tags` (list of string, optional)
- `organizationGroups` (list of string, optional)
- `customFields` (list of ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)
- `customCollections` (list of ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaCustomCollectionsItems, optional)

## Errors

### 404 Not Found Error

NotFound

- `any`

## Types

### ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaAddress

- `id` (string, optional)
- `label` (string, optional)
- `address1` (string, optional)
- `address2` (string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `postal` (string, optional)
- `country` (string, optional)
- `isPrimary` (string, optional)
- `canBePrimary` (string, optional)
- `startMonth` (string, optional)
- `startDay` (string, optional)
- `endMonth` (string, optional)
- `endDay` (string, optional)

### ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactIndividualsItems

- `id` (string, optional)
- `contactId` (string, optional)
- `prefix` (string, optional)
- `firstName` (string, optional)
- `middleName` (string, optional)
- `lastName` (string, optional)
- `suffix` (string, optional)
- `gender` (string, optional)
- `isPrimary` (string, optional)
- `canBePrimary` (string, optional)
- `isSecondary` (string, optional)
- `canBeSecondary` (string, optional)
- `birthMonth` (string, optional)
- `birthDay` (string, optional)
- `birthYear` (string, optional)
- `birthDate` (string, optional)
- `approximateAge` (string, optional)
- `isDeceased` (string, optional)
- `passion` (string, optional)
- `avatarUrl` (string, optional)
- `contactMethods` (list of ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactIndividualsItemsContactMethodsItems, optional)
- `createDateTimeUtc` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `customFields` (list of ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactIndividualsItemsCustomFieldsItems, optional)
- `customCollections` (list of ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactIndividualsItemsCustomCollectionsItems, optional)

### ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactReferencesItems

- `source` (string, optional)
- `id` (string, optional)

### ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaCustomCollectionsItems

- `customCollectionId` (string, optional)
- `customCollectionName` (string, optional)
- `collectionInstanceId` (string, optional)
- `fields` (list of ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaCustomCollectionsItemsFieldsItems, optional)

### ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactIndividualsItemsContactMethodsItems

- `id` (string, optional)
- `type` (string, optional)
- `value` (string, optional)
- `isOptedIn` (string, optional)
- `isPrimary` (string, optional)
- `canBePrimary` (string, optional)

### ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactIndividualsItemsCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactIndividualsItemsCustomCollectionsItems

- `customCollectionId` (string, optional)
- `customCollectionName` (string, optional)
- `collectionInstanceId` (string, optional)
- `fields` (list of ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactIndividualsItemsCustomCollectionsItemsFieldsItems, optional)

### ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaCustomCollectionsItemsFieldsItems

- `name` (string, optional)
- `value` (string, optional)

### ApiContactReferenceSourceReferenceIdGetResponsesContentApplicationJsonSchemaContactIndividualsItemsCustomCollectionsItemsFieldsItems

- `name` (string, optional)
- `value` (string, optional)

## Examples

**Response**

```json
{
  "isCurrentUserFollowing": "<boolean>",
  "id": "<integer>",
  "contactType": "<string>",
  "isPrivate": "<boolean>",
  "name": "<string>",
  "informalName": "<string>",
  "description": "<string>",
  "website": "<string>",
  "maritalStatus": "<string>",
  "anniversaryMonth": "<integer>",
  "anniversaryDay": "<integer>",
  "anniversaryYear": "<integer>",
  "mergedIntoContactId": "<integer>",
  "address": {
    "id": "<integer>",
    "label": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal": "<string>",
    "country": "<string>",
    "isPrimary": "<boolean>",
    "canBePrimary": "<boolean>",
    "startMonth": "<integer>",
    "startDay": "<integer>",
    "endMonth": "<integer>",
    "endDay": "<integer>"
  },
  "giftAskAmount": "<string>",
  "giftAskType": "<string>",
  "lifeToDateGiving": "<string>",
  "yearToDateGiving": "<string>",
  "lastGiftAmount": "<string>",
  "lastGiftDate": "<string>",
  "contactIndividuals": [
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "prefix": "<string>",
      "firstName": "<string>",
      "middleName": "<string>",
      "lastName": "<string>",
      "suffix": "<string>",
      "gender": "<string>",
      "isPrimary": "<boolean>",
      "canBePrimary": "<boolean>",
      "isSecondary": "<boolean>",
      "canBeSecondary": "<boolean>",
      "birthMonth": "<integer>",
      "birthDay": "<integer>",
      "birthYear": "<integer>",
      "birthDate": "<string>",
      "approximateAge": "<integer>",
      "isDeceased": "<boolean>",
      "passion": "<string>",
      "avatarUrl": "<string>",
      "contactMethods": [
        {
          "id": "<integer>",
          "type": "<string>",
          "value": "<string>",
          "isOptedIn": "<boolean>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>"
        },
        {
          "id": "<integer>",
          "type": "<string>",
          "value": "<string>",
          "isOptedIn": "<boolean>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>"
        }
      ],
      "createDateTimeUtc": "<dateTime>",
      "modifiedDateTimeUtc": "<dateTime>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ],
      "customCollections": [
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        },
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    },
    {
      "id": "<integer>",
      "contactId": "<integer>",
      "prefix": "<string>",
      "firstName": "<string>",
      "middleName": "<string>",
      "lastName": "<string>",
      "suffix": "<string>",
      "gender": "<string>",
      "isPrimary": "<boolean>",
      "canBePrimary": "<boolean>",
      "isSecondary": "<boolean>",
      "canBeSecondary": "<boolean>",
      "birthMonth": "<integer>",
      "birthDay": "<integer>",
      "birthYear": "<integer>",
      "birthDate": "<string>",
      "approximateAge": "<integer>",
      "isDeceased": "<boolean>",
      "passion": "<string>",
      "avatarUrl": "<string>",
      "contactMethods": [
        {
          "id": "<integer>",
          "type": "<string>",
          "value": "<string>",
          "isOptedIn": "<boolean>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>"
        },
        {
          "id": "<integer>",
          "type": "<string>",
          "value": "<string>",
          "isOptedIn": "<boolean>",
          "isPrimary": "<boolean>",
          "canBePrimary": "<boolean>"
        }
      ],
      "createDateTimeUtc": "<dateTime>",
      "modifiedDateTimeUtc": "<dateTime>",
      "customFields": [
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>",
          "displayName": "<string>"
        }
      ],
      "customCollections": [
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        },
        {
          "customCollectionId": "<integer>",
          "customCollectionName": "<string>",
          "collectionInstanceId": "<integer>",
          "fields": [
            {
              "name": "<string>",
              "value": "<string>"
            },
            {
              "name": "<string>",
              "value": "<string>"
            }
          ]
        }
      ]
    }
  ],
  "contactGiftsUrl": "<string>",
  "contactPassthroughGiftsUrl": "<string>",
  "contactPlannedGiftsUrl": "<string>",
  "contactRecurringGiftsUrl": "<string>",
  "contactImportantNotesUrl": "<string>",
  "contactNotesUrl": "<string>",
  "contactTagsUrl": "<string>",
  "contactRelationshipsUrl": "<string>",
  "primaryAvatarUrl": "<string>",
  "contactReferences": [
    {
      "source": "<string>",
      "id": "<string>"
    },
    {
      "source": "<string>",
      "id": "<string>"
    }
  ],
  "originSegmentId": "<integer>",
  "originSegment": "<string>",
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "tags": [
    "<string>",
    "<string>"
  ],
  "organizationGroups": [
    "<string>",
    "<string>"
  ],
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ],
  "customCollections": [
    {
      "customCollectionId": "<integer>",
      "customCollectionName": "<string>",
      "collectionInstanceId": "<integer>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    },
    {
      "customCollectionId": "<integer>",
      "customCollectionName": "<string>",
      "collectionInstanceId": "<integer>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python Contacts and Individuals_getAContactByReferenceSourceAndId_example
import requests

url = "https://api.virtuoussoftware.com/api/Contact/referenceSource/referenceId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Contacts and Individuals_getAContactByReferenceSourceAndId_example
const url = 'https://api.virtuoussoftware.com/api/Contact/referenceSource/referenceId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Contacts and Individuals_getAContactByReferenceSourceAndId_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/Contact/referenceSource/referenceId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Contacts and Individuals_getAContactByReferenceSourceAndId_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/Contact/referenceSource/referenceId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Contacts and Individuals_getAContactByReferenceSourceAndId_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.virtuoussoftware.com/api/Contact/referenceSource/referenceId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Contacts and Individuals_getAContactByReferenceSourceAndId_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.virtuoussoftware.com/api/Contact/referenceSource/referenceId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Contacts and Individuals_getAContactByReferenceSourceAndId_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/Contact/referenceSource/referenceId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Contacts and Individuals_getAContactByReferenceSourceAndId_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/Contact/referenceSource/referenceId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```